#
# Copyright 2016 Rusbitech.
# Dmitry Voronin <support@rusbitech.ru>
#

from virtinst.xmlbuilder import XMLBuilder, XMLChildProperty, XMLProperty


class _ACLEntry(XMLBuilder):
    XML_NAME = "aclentry"

    entry = XMLProperty(".")


class ACL(XMLBuilder):
    """
    Class for generating <Dac> XML
    """

    XML_NAME = "acl"

    aclentries = XMLChildProperty(_ACLEntry, is_single=False)

    def remove_acl(self, acl):
        self.remove_child(acl)

    def append_acl(self, acl_str):
        acl = _ACLEntry(self.conn)
        acl.entry = acl_str
        self.add_child(acl)
